#ifndef __CALLBACKS_H
#define __CALLBACKS_H

#include <gtk/gtk.h>

#define ICS_NO_ARB_ID 0x1000 /* max arb ID is 0xfff */

enum
{
	TIMESTAMP_COLUMN,
	TX_COLUMN,
	ERR_COLUMN,
	ARBID_COLUMN,
	DESCRIPTION_COLUMN,
	DATA_BYTES_COLUMN,
	BUS_COLUMN,
	NUM_COLUMNS
};

void
on_openDeviceButton_toggled              (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

static gboolean
incoming_packet_handler(GIOChannel *source, GIOCondition cond, gpointer temp);


void
on_clearButton_clicked                 (GtkButton       *button,
                                        gpointer         user_data);
void
on_entry_insert_text                   (GtkEditable     *editable,
                                        gchar           *new_text,
                                        gint             new_text_length,
                                        gpointer         position,
                                        gpointer         user_data);

void
arbid_cell_data_func(GtkTreeViewColumn *col, GtkCellRenderer *renderer, 
			 GtkTreeModel *list_store, GtkTreeIter *iter,
			 gpointer data);

void
data_bytes_cell_data_func(GtkTreeViewColumn *col, GtkCellRenderer *renderer, 
			 GtkTreeModel *list_store, GtkTreeIter *iter,
			 gpointer data);

void
bus_cell_data_func(GtkTreeViewColumn *col, GtkCellRenderer *renderer, 
			 GtkTreeModel *list_store, GtkTreeIter *iter,
			 gpointer data);

void
on_packetListStore_row_inserted		(GtkTreeModel	*treeModel,
					 GtkTreePath	*treePath,
					 GtkTreeIter	*treeIter,
					 gpointer	user_data);
void
on_transmitButton_clicked              (GtkButton       *button,
                                        gpointer         user_data);

gboolean
close_device_and_quit                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);
#endif
